Author Topic: Can't build wxWidgets 2.8.3  (Read 7112 times)

Offline Yuki

  • Single posting newcomer
  • *
  • Posts: 8
Can't build wxWidgets 2.8.3
« on: April 02, 2007, 12:56:36 pm »
Hi.
I download wxWidgets 2.8.3 and install it . but I can't build it
I use make -f makefile.gcc , but an error occurs .. I fail to build it on mingw and cygwin. I don't know how to do.Please help me.

Error Message :
aa@SCU-ASDFFDSA /e/wxWidgets-2.8.3/build/msw
$ make -f makefile.gcc
if not exist gcc_mswd mkdir gcc_mswd
/bin/sh.exe: -c: line 2: syntax error: unexpected end of file
make: [gcc_mswd] Error 2 (ignored)
if not exist ..\..\lib\gcc_lib mkdir ..\..\lib\gcc_lib
/bin/sh.exe: -c: line 2: syntax error: unexpected end of file
make: *** [..\..\lib\gcc_lib] Error 2

Thanks..

Offline TDragon

  • Lives here!
  • ****
  • Posts: 943
    • TDM-GCC
Re: Can't build wxWidgets 2.8.3
« Reply #1 on: April 02, 2007, 01:42:34 pm »
$ make -f makefile.gcc
Use the plain Windows command shell to build wxWidgets, not mSYS or Cygwin.
https://jmeubank.github.io/tdm-gcc/ - TDM-GCC compiler suite for Windows (GCC 9.2.0 2020-03-08, 32/64-bit, no extra DLLs)

Offline Biplab

  • Developer
  • Lives here!
  • *****
  • Posts: 1874
    • Biplab's Blog
Re: Can't build wxWidgets 2.8.3
« Reply #2 on: April 02, 2007, 01:52:22 pm »
Also remove any reference of MSYS or CygWin from the PATH variable.
Be a part of the solution, not a part of the problem.

Offline Yuki

  • Single posting newcomer
  • *
  • Posts: 8
Re: Can't build wxWidgets 2.8.3
« Reply #3 on: April 02, 2007, 04:35:16 pm »
Thank you very much . I can build it now .

Offline Outis

  • Multiple posting newcomer
  • *
  • Posts: 26
Re: Can't build wxWidgets 2.8.3
« Reply #4 on: May 16, 2007, 07:53:40 am »
I get exactly the same error message. But I can't find MSYS nor Cygwin (isn't installed at all) in my PATH  and I even reinstalled mingw - without success.  :(

I'm using "mingw32-make -f makefile.gcc [OPTIONS]" in the shell, WinXP, latest Mingw 8), wxWidgets 2.8.4
Mingw and wxWidgets dirs are in D:\

Please help - thanks.

Offline raph

  • Almost regular
  • **
  • Posts: 242
Re: Can't build wxWidgets 2.8.3
« Reply #5 on: May 16, 2007, 10:41:42 am »
Please give us the exact commands you used and the error message.
Since if you haven't cygwin or msys installed, the error message should be different.

Furthermore it would be helpful to post the output of the
Code
path
command.

Just for the case you don't know how to copy from the cmd.exe console:
Right click->Select Mark, mark the text with the left mouse button, press enter then the text is in the clipboard.

Regards
raph

Offline David Perfors

  • Developer
  • Lives here!
  • *****
  • Posts: 560
Re: Can't build wxWidgets 2.8.3
« Reply #6 on: May 16, 2007, 11:11:23 am »
if you don't have msys or cygwin installed, you have to use mingw32-make instead of make
OS: winXP
Compiler: mingw
IDE: Code::Blocks SVN WX: 2.8.4 Wish list: faster code completion, easier debugging, refactoring

Offline Outis

  • Multiple posting newcomer
  • *
  • Posts: 26
Re: Can't build wxWidgets 2.8.3
« Reply #7 on: May 16, 2007, 04:47:22 pm »
Thanks for helping.
MSYS is installed (but shouldn't be in path), Cygwin isn't.
Code
D:\wxWidgets-2.8.4\build\msw>mingw32-make -f makefile.gcc
if not exist gcc_mswd mkdir gcc_mswd
/usr/bin/sh: -c: line 2: syntax error: unexpected end of file
mingw32-make: [gcc_mswd] Error 258 (ignored)
if not exist ..\..\lib\gcc_lib mkdir ..\..\lib\gcc_lib
/usr/bin/sh: -c: line 2: syntax error: unexpected end of file
mingw32-make: *** [..\..\lib\gcc_lib] Error 258

D:\wxWidgets-2.8.4\build\msw>
Code
D:\wxWidgets-2.8.4\build\msw>path
PATH=c:\programme\imagemagick-6.3.0-q16;C:\Programme\Ctrl\WinAVR\bin;C:\Programm
e\Ctrl\WinAVR\utils\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;
C:\Programme\Gemeinsame Dateien\Ulead Systems\MPEG;C:\Programme\Gemeinsame Datei
en\Ulead Systems\DVD;C:\Programme\Executive Software\DiskeeperLite\;"D:\program
files\";"c:\Programme\Ctrl\WinAVR\avrdude\avrdude.exe";C:\Programme\ATI Technolo
gies\ATI.ACE\;D:\Mingw\bin;E:\Programme\Wormux 0.7\bin   <--  ;-)

Quote
Just for the case you don't know how to copy from the cmd.exe console:
Right click->Select Mark, mark the text with the left mouse button, press enter then the text is in the clipboard.
I know I since yesterday :)

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7334
    • My Best Post
Re: Can't build wxWidgets 2.8.3
« Reply #8 on: May 16, 2007, 05:45:09 pm »
Thanks for helping.
MSYS is installed (but shouldn't be in path), Cygwin isn't.
Code
D:\wxWidgets-2.8.4\build\msw>mingw32-make -f makefile.gcc
if not exist gcc_mswd mkdir gcc_mswd
/usr/bin/sh: -c: line 2: syntax error: unexpected end of file
mingw32-make: [gcc_mswd] Error 258 (ignored)
if not exist ..\..\lib\gcc_lib mkdir ..\..\lib\gcc_lib
/usr/bin/sh: -c: line 2: syntax error: unexpected end of file
mingw32-make: *** [..\..\lib\gcc_lib] Error 258

D:\wxWidgets-2.8.4\build\msw>
Code
D:\wxWidgets-2.8.4\build\msw>path
PATH=c:\programme\imagemagick-6.3.0-q16;C:\Programme\Ctrl\WinAVR\bin;C:\Programm
e\Ctrl\WinAVR\utils\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;
C:\Programme\Gemeinsame Dateien\Ulead Systems\MPEG;C:\Programme\Gemeinsame Datei
en\Ulead Systems\DVD;C:\Programme\Executive Software\DiskeeperLite\;"D:\program
files\";"c:\Programme\Ctrl\WinAVR\avrdude\avrdude.exe";C:\Programme\ATI Technolo
gies\ATI.ACE\;D:\Mingw\bin;E:\Programme\Wormux 0.7\bin   <--  ;-)

Quote
Just for the case you don't know how to copy from the cmd.exe console:
Right click->Select Mark, mark the text with the left mouse button, press enter then the text is in the clipboard.
I know I since yesterday :)

Try the following commands in CMD window, note I am assuming wxWidgets in "D:\wxWidgets-2.8.4" and minGW in "D:\Mingw"

Tim S

Code
CD D:\wxWidgets-2.8.4\build\msw
SET PATH=D:\Mingw\bin;D:\Mingw\mingw32\bin
mingw32-make -f makefile.gcc USE_XRC=1 SHARED=1 MONOLITHIC=1 BUILD=release UNICODE=1 clean
mingw32-make -f makefile.gcc USE_XRC=1 SHARED=1 MONOLITHIC=1 BUILD=release UNICODE=1
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline Outis

  • Multiple posting newcomer
  • *
  • Posts: 26
Re: Can't build wxWidgets 2.8.3
« Reply #9 on: May 16, 2007, 07:52:49 pm »
Well, it builds now, but:

Code
../../src/msw/version.rc:12:24: wx/version.h: No such file or directory
windres: gcc exited with status 1
mingw32-make: *** [gcc_mswudll\monodll_version_rc.o] Error 1

wxWidgets can be annoying  :(

Offline raph

  • Almost regular
  • **
  • Posts: 242
Re: Can't build wxWidgets 2.8.3
« Reply #10 on: May 16, 2007, 08:44:30 pm »
Well, it builds now, but:

Code
../../src/msw/version.rc:12:24: wx/version.h: No such file or directory
windres: gcc exited with status 1
mingw32-make: *** [gcc_mswudll\monodll_version_rc.o] Error 1
I just tested it and can reproduce that error with binutils-2.17.50-20070129-1.tar.gz (e.g. binutils-2.17.50-20060824-1.tar.gz works well).

wxWidgets can be annoying  :(
As far as I can remember I switched to an older version of binutils cause i couldn't compile fltk.

Greetings
raph

Offline Mc.Michael

  • Multiple posting newcomer
  • *
  • Posts: 17
Re: Can't build wxWidgets 2.8.3
« Reply #11 on: May 16, 2007, 09:32:17 pm »
Hi.
I download wxWidgets 2.8.3 and install it . but I can't build it
I use make -f makefile.gcc , but an error occurs .. I fail to build it on mingw and cygwin. I don't know how to do.Please help me.

Error Message :
aa@SCU-ASDFFDSA /e/wxWidgets-2.8.3/build/msw
$ make -f makefile.gcc
if not exist gcc_mswd mkdir gcc_mswd
/bin/sh.exe: -c: line 2: syntax error: unexpected end of file
make: [gcc_mswd] Error 2 (ignored)
if not exist ..\..\lib\gcc_lib mkdir ..\..\lib\gcc_lib
/bin/sh.exe: -c: line 2: syntax error: unexpected end of file
make: *** [..\..\lib\gcc_lib] Error 2

Thanks..
You can try
wxWidgets 2.8.4
ftp://ftp.wxwidgets.org/pub/2.8.4/

It tested on latest MinGW without MSYS .

Offline Outis

  • Multiple posting newcomer
  • *
  • Posts: 26
Re: Can't build wxWidgets 2.8.3
« Reply #12 on: May 16, 2007, 10:35:45 pm »
YEAH!  :D

Thank you guys! I used now older binutils (great tip, raph!) and it compiled safly with 10 million warnigs, but without any error.